/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Represents the data transfer object for a discipline.
 * @export
 * @interface DisciplineDto
 */
export interface DisciplineDto {
    /**
     * The unique identifier for the discipline.
     * @type {string}
     * @memberof DisciplineDto
     */
    'id'?: string;
    /**
     * The URI associated with the discipline.
     * @type {string}
     * @memberof DisciplineDto
     */
    'uri'?: string;
    /**
     * The display name of the discipline in German.
     * @type {string}
     * @memberof DisciplineDto
     */
    'displayNameDe'?: string;
    /**
     * The display name of the discipline in English.
     * @type {string}
     * @memberof DisciplineDto
     */
    'displayNameEn'?: string;
}

